# -*- mode: ruby -*-
# vi: set ft=ruby :
require "yaml"
SERVERS = YAML.load_file "servers.yml"

Vagrant.configure("2") do |config|
  config.vm.box = "1c-bitrix/cms"

  # config.vm.box_check_update = false

  config.vm.network "private_network", ip: SERVERS["DEV"]["ip"]
  config.vm.hostname = SERVERS["DEV"]["name"]

  config.vm.synced_folder ".", "/vagrant", disabled: true

  config.vm.synced_folder SERVERS["DEV"]['www']["host"], SERVERS["DEV"]['www']["guest"], :create => true

  config.vm.synced_folder SERVERS["DEV"]['db']["host"], SERVERS["DEV"]['db']["guest"], :create => true, owner: "mysql", group: "mysql"

  config.vm.provider "virtualbox" do |vb|
    vb.memory = "2048"
  end

  config.vm.provision :shell, :path => "update-env.sh"

  config.push.define "ftp" do |push|
    push.host = SERVERS["PROD"]['ip']
    push.username = SERVERS["PROD"]['user']
    push.password = SERVERS["PROD"]['password']
    push.secure = true

    push.dir = SERVERS["DEV"]['www']["host"]
    push.exclude = "bitrix"
    push.exclude = "upload"
    push.exclude = "desktop_app"

    push.destination = SERVERS["PROD"]['dest']
  end
end
